NI-DAQmx와 LabVIEW의 호환성

개요

이 페이지는 LabVIEW 또는 LabVIEW 리얼타임 개발 시스템을 사용하는 NI-DAQmx 하드웨어의 드라이버 지원 버전에 대해 설명합니다. 시스템이나 소프트웨어를 업그레이드하거나 업데이트할 때, 이 정보를 참조하여 올바른 버전을 설치하십시오. 호환되지 않는 버전을 사용하면 에러가 발생하거나, LabVIEW 팔레트 또는 함수를 찾을 수 없게 되거나, NI Measurement & Automation Explorer(MAX)에서 디바이스나 태스크가 표시되지 않을 수 있습니다.

이 문서는 기술 지원 데이터베이스 문서 ‘3PIA89N5: DAQmx와 LabVIEW 버전 호환성’을 대체합니다. 일부 NI 매뉴얼은 여전히 이전 문서를 참조할 수 있습니다. 이전 기술 지원 데이터베이스의 URL에서 자동으로 리디렉션되는 경우, 그에 따라 북마크를 업데이트하십시오.

내용

NI-DAQmx와 LabVIEW 서비스 팩의 호환성

LabVIEW 서비스 팩은 NI-DAQmx와의 호환성에 영향을 미치지 않습니다. 예를 들어, DAQmx 15.0은 LabVIEW 2015뿐 아니라 LabVIEW 2015 SP1과도 호환됩니다. 이 규칙은 다른 NI 드라이버에는 적용되지 않을 수 있습니다.

NI-DAQmx와 LabVIEW의 호환성 테이블

NI-DAQmx와 LabVIEW NXG의 호환성에 대해서는 이 문서를 참조하십시오.  이전 버전의 DAQmx 또는 LabVIEW 간의 호환성에 대한 정보는 이 문서의 다운로드 섹션에 있는 DAQmx와 LabVIEW의 호환성 테이블 첨부 문서를 확인하십시오. 

이 테이블을 사용하여 서로 호환되는 LabVIEW와 NI-DAQmx의 버전을 비교해보십시오.

NI-DAQmx 버전 LabVIEW/LabVIEW 리얼타임 버전  
2020 2019 2018 2017 2016 2015 2014 2013 2012
20.0                  
19.6                  
19.5                  
19.1                  
19.0                  
18.6                  
18.5                  
18.1                  
18.0                  
17.6                  
17.5                  
17.1.1                  
17.1                  
17.0                  

호환가능